Bug 1121877 (CVE-2014-4344) - CVE-2014-4344 krb5: NULL pointer dereference flaw in SPNEGO acceptor for continuation tokens
Summary: CVE-2014-4344 krb5: NULL pointer dereference flaw in SPNEGO acceptor for cont...
Status: CLOSED ERRATA
Alias: CVE-2014-4344
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140715,repor...
Keywords: Security
Depends On: 1121509 1121510 1121511 1121879
Blocks: 1101912 1121513 1121882
TreeView+ depends on / blocked
 
Reported: 2014-07-22 06:25 UTC by Murray McAllister
Modified: 2018-12-09 18:12 UTC (History)
13 users (show)

(edit)
A NULL pointer dereference flaw was found in the MIT Kerberos SPNEGO acceptor for continuation tokens. A remote, unauthenticated attacker could use this flaw to crash a GSSAPI-enabled server application.
Clone Of:
(edit)
Last Closed: 2015-03-06 10:11:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1245 normal SHIPPED_LIVE Moderate: krb5 security and bug fix update 2014-09-16 09:28:35 UTC
Red Hat Product Errata RHSA-2014:1389 normal SHIPPED_LIVE Moderate: krb5 security and bug fix update 2014-10-14 01:27:10 UTC
Red Hat Product Errata RHSA-2015:0439 normal SHIPPED_LIVE Moderate: krb5 security, bug fix and enhancement update 2015-03-05 14:38:14 UTC

Description Murray McAllister 2014-07-22 06:25:03 UTC
A NULL pointer dereference flaw was found in the MIT Kerberos SPNEGO acceptor for continuation tokens. An unauthenticated attacker could use this flaw to crash the server acceptor.

It is reported that this issue affects version 1.5 and later.

Upstream commit and further details:

https://github.com/krb5/krb5/commit/524688ce87a15fc75f87efc8c039ba4c7d5c197b

Comment 1 Murray McAllister 2014-07-22 06:27:43 UTC
Created krb5 tracking bugs for this issue:

Affects: fedora-all [bug 1121879]

Comment 3 Siddharth Sharma 2014-07-27 12:36:29 UTC
Successful exploitation of this flaw requires that attacker must provide at least one valid context token in the security context negotiation before sending the empty token.This can be done using unauthenticated AS-REQ as the first token and then sending the empty token which would case a crash of the server, at this point attacker is not authenticated.

Comment 4 Siddharth Sharma 2014-07-28 06:56:42 UTC
Statement:

(none)

Comment 8 Fedora Update System 2014-08-07 15:27:15 UTC
krb5-1.11.3-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-08-07 15:32:47 UTC
krb5-1.11.5-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Angelo Alvarez 2014-09-06 00:26:44 UTC
Are the krb5-libs packages for RHEL5 and RHEL6 affected by this vulnerability?

Comment 12 Martin Prpič 2014-09-09 09:47:26 UTC
IssueDescription:

A NULL pointer dereference flaw was found in the MIT Kerberos SPNEGO acceptor for continuation tokens. A remote, unauthenticated attacker could use this flaw to crash a GSSAPI-enabled server application.

Comment 13 errata-xmlrpc 2014-09-16 05:29:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:1245 https://rhn.redhat.com/errata/RHSA-2014-1245.html

Comment 14 errata-xmlrpc 2014-10-14 08:11:13 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1389 https://rhn.redhat.com/errata/RHSA-2014-1389.html

Comment 16 errata-xmlrpc 2015-03-05 10:01:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0439 https://rhn.redhat.com/errata/RHSA-2015-0439.html


Note You need to log in before you can comment on or make changes to this bug.